Skip to content

Create Batch

POST
/v1/batches
curl --request POST \
--url https://example.com/v1/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "input_file_id": "example", "endpoint": "example", "completion_window": "24h", "metadata": {} }'
Media typeapplication/json
CreateBatchRequest
object
input_file_id
required
Input File Id
string
endpoint
required
Endpoint
string
completion_window
Completion Window
string
default: 24h
metadata
Any of:
object
key
additional properties
any

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}